﻿using System.Windows.Media;

namespace SearchPath
{
    public enum CellType
    {
        deepwater,
        water,
        sand,
        gras,
        forrest,
        hill,
        mountain
    }

    public class Cell
    {
        public readonly int cost;
        public readonly bool walkable;
        public readonly CellType cellType;
        public readonly Color color;

        public Cell(CellType cT, int idx)
        {
            cellType = cT;
            switch (cT)
            {
                case CellType.deepwater:
                    cost = 80;
                    walkable = true;
                    color = Colors.DarkBlue;
                    break;
                case CellType.water:
                    cost = 50;
                    walkable = true;
                    color = Colors.Aqua;
                    break;
                case CellType.sand:
                    cost = 10;
                    walkable = true;
                    color = Colors.Yellow;
                    break;
                case CellType.gras:
                    cost = 40;
                    walkable = true;
                    color = Colors.Green;
                    break;
                case CellType.forrest:
                    cost = 60;
                    walkable = true;
                    color = Colors.DarkGreen;
                    break;
                case CellType.hill:
                    cost = 120;
                    walkable = true;
                    color = Colors.Gray;
                    break;
                case CellType.mountain:
                    cost = 200;
                    walkable = false;
                    color = Colors.Black;
                    break;
            }
        }
    }
}
